<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Moodle's crisp theme, an example of how to make a Bootstrap theme
 *
 * DO NOT MODIFY THIS THEME!
 * COPY IT FIRST, THEN RENAME THE COPY AND MODIFY IT INSTEAD.
 *
 * For full information about creating Moodle themes, see:
 * http://docs.moodle.org/dev/Themes_2.0
 *
 * @package   theme_crisp
 * @copyright 2014 dualcube {@link http://dualcube.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$THEME->name = 'crisp';


// The only thing you need to change in this file when copying it to
// create a new theme is the name above. You also need to change the name
// in version.php and lang/en/theme_crisp.php as well.

$THEME->doctype = 'html5';
$THEME->parents = array('bootstrapbase');
$THEME->sheets = array('custom');
$THEME->supportscssoptimisation = false;
$THEME->yuicssmodules = array();

$THEME->editor_sheets = array();

$THEME->plugins_exclude_sheets = array(
    'block' => array(
        'html',
    ),
);

$THEME->rendererfactory = 'theme_overridden_renderer_factory';
$THEME->csspostprocess = 'theme_crisp_process_css';

$THEME->blockrtlmanipulations = array(
    'side-pre' => 'side-post',
    'side-post' => 'side-pre'
);

$THEME->layouts = array(
  'login' => array(
        'file' => 'column1login.php',
        'regions' => array(),
        'options' => array('langmenu' => true),
    ),
  // The site home page.
  'frontpage' => array(
      'file' => 'columns3home.php',
      'regions' => array('side-pre'),
      'defaultregion' => 'side-pre',
      'options' => array('nonavbar' => true),
  ),
  'course' => array(
      'file' => 'columns2.php',
      'regions' => array('side-pre'),
      'defaultregion' => 'side-pre',
      'options' => array('nonavbar' => true),
  ),
  'blog' => array(
      'file' => 'masonryblogpage.php',
      'regions' => array('side-pre'),
      'defaultregion' => 'side-pre',
      'options' => array('nonavbar' => true),
  ),
  'coursecat' => array(
      'file' => 'columns2.php',
      'regions' => array('defaultregion' => 'side-pre'),
      'options' => array('nonavbar' => true),
  ),
);

if ($CFG->version >= 2017051500) { /*support for new font awesome icon from moodle version 3.3*/
  $THEME->iconsystem = \core\output\icon_system::FONTAWESOME;
}